version: '2.0'

services:
  kamailio:
#    image: kamailio/kamailio-ci:5.2-alpine
    build: .
    network_mode: host
    volumes:
      - ./etc/kamailio:/etc/kamailio
#    ports:
#      - 5060:5060
#      - 5060:5060/udp
#      - 5061:5061
    depends_on:
      - mysql

  mysql:
    image: mysql:5
    network_mode: host
    environment:
      - MYSQL_ROOT_PASSWORD=my-secret-pw
      - MYSQL_USER=kam
      - MYSQL_PASSWORD=kal
      - MYSQL_DATABASE=default
    volumes:
      - ../KAMAILIO_DB:/var/lib/mysql

